#
# spec file for package forkstat
#
# Copyright (c) 2015, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           forkstat
Version:        0.01.13
Release:        3.1
Summary:        Process fork/exec/exit monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/forkstat/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Forkstat monitors process fork(), exec() and exit() activity. It is useful for
monitoring system behaviour and to track down rogue processes that are spawning
off processes and potentially abusing the system.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%%doc COPYING
%{_bindir}/forkstat
%{_mandir}/man8/*

%changelog
* Thu Feb 18 2016 mardnh@gmx.de
- update to 0.01.13
- upstream does not provide a changelog
* Thu Nov 12 2015 mardnh@gmx.de
- update to 0.01.12
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
